This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 454623

Summary: virt-viewer in Rawhide fails to start with lengthy gtk error and segfault
Product: [Fedora] Fedora Reporter: Richard W.M. Jones <rjones>
Component: virt-viewerAssignee: Daniel Berrange <berrange>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-08-08 11:03:01 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Richard W.M. Jones 2008-07-09 09:08:46 EDT
# virt-viewer 8

(virt-viewer:32664): Gtk-CRITICAL **: gtk_container_add_with_properties:
assertion `widget->parent == container' failed

(virt-viewer:32664): Gtk-CRITICAL **: gtk_container_add_with_properties:
assertion `widget->parent == container' failed

(virt-viewer:32664): Gtk-CRITICAL **: gtk_widget_realize: assertion
`GTK_WIDGET_ANCHORED (widget) || GTK_IS_INVISIBLE (widget)' failed

(virt-viewer:32664): Gdk-CRITICAL **: gdk_window_set_cursor: assertion
`GDK_IS_WINDOW (window)' failed

(virt-viewer:32664): Gdk-CRITICAL **: gdk_gc_new: assertion `drawable != NULL'
failed

(virt-viewer:32664): Gdk-CRITICAL **: gdk_drawable_get_visual: assertion
`GDK_IS_DRAWABLE (drawable)' failed

(virt-viewer:32664): Gdk-CRITICAL **: gdk_visual_get_screen: assertion
`GDK_IS_VISUAL (visual)' failed

(virt-viewer:32664): Gdk-CRITICAL **: _gdk_image_new_for_depth: assertion
`visual || depth != -1' failed
Segmentation fault
Comment 1 Daniel Berrange 2008-08-08 08:26:12 EDT
I can't reproduce this problem in today's rawhide - can you verify that its still a problem for you
Comment 2 Richard W.M. Jones 2008-08-08 11:03:01 EDT
Yeah, it's now working again in current Rawhide ==> CLOSING.